@ECHO OFF
CLS
ECHO.
ECHO  ****************************************************
ECHO           MAP AND MIDI FILE INSTALL GENERATOR
ECHO                    BY BME/ILMHB 2013 
ECHO  ****************************************************

IF "%1"=="" GOTO arg
SET map=%1
SHIFT
IF "%1"=="" GOTO arg
SET mid=%1
SET r=FILE(S) NOT FOUND ERROR:
SET d=%map%
SET m=%map%.MAP
SET b=%map%.BAT
SET i=%map%.INI
SET s=%mid%.MID
SET flag=

IF NOT EXIST BLOOD.exe SET flag=BLD
IF NOT EXIST %m% SET flag=%flag%MAP
IF NOT EXIST %s% SET flag=%flag%MID
IF NOT EXIST BARF.exe SET flag=%flag%BAR
IF NOT "%flag%"=="" goto missing

ECHO  Notice: Not all MIDI files seem to work properly.
ECHO          This may be caused by a wrong format, too
ECHO          many voices or an exceeding max file length.
ECHO.
ECHO  Press [C] to Create or [Q] to Quit...
ECHO  ----------------------------------------------------

CHOICE /C:cq>nul
IF ERRORLEVEL 2 GOTO end
IF ERRORLEVEL 1 GOTO create
GOTO end

:missing
ECHO.
IF %flag%==MID ECHO  %r%  %s%
IF %flag%==MAP ECHO  %r%  %m%
IF %flag%==BAR ECHO  %r%  BARF.EXE
IF %flag%==MAPMID ECHO  %r%  %m%  %s%
IF %flag%==MAPBAR ECHO  %r%  %m%  BARF.EXE
IF %flag%==MIDBAR ECHO  %r%  %s%  BARF.EXE
IF %flag%==MAPMIDBAR ECHO  %r%  %m%  %s%  BARF.EXE
IF %flag%==BLD ECHO  ERROR:  Not in the Blood folder!
ECHO.
GOTO end

:create
IF NOT EXIST %d% MD %d%
DEL %d%\*.*
COPY %m% %d%>nul
ECHO  %m% copied to project folder.
COPY %s% %d%>nul
ECHO  %s% copied to project folder.
ECHO ;==================================>%i%
ECHO ;   This file was generated with>>%i%
ECHO ;  MAP and MIDI Install Generator>>%i%
ECHO ;        By BME/ILMHB 2013>>%i%
ECHO ;==================================>>%i%
ECHO [Episode1]>>%i%
ECHO Title = %map%>>%i%
ECHO Map1 = %map%>>%i%
ECHO. >>%i%
ECHO [%map%]>>%i%
ECHO Author = your name here>>%i%
ECHO Song = %mid%>>%i%
ECHO  %i% created and copied to project folder.
COPY %i% %d%>nul
DEL %i%>nul

ECHO ::==================================>%b%
ECHO ::   This file was generated with>>%b%
ECHO ::  MAP and MIDI Install Generator>>%b%
ECHO ::        By BME/ILMHB 2013>>%b%
ECHO ::==================================>>%b%
ECHO @ECHO OFF>>%b%
ECHO CLS>>%b%
ECHO COPY BLOOD.rff BLOOD.bme>>%b%
ECHO COPY SOUNDS.rff SOUNDS.bme>>%b%
ECHO COPY %d%\%i%>>%b%
ECHO BARF BLOOD.rff %d%\%m%>>%b%
ECHO BARF SOUNDS.rff %d%\%s%>>%b%
ECHO ::--------------------->>%b%
ECHO BLOOD -ini %i%>>%b%
ECHO ::--------------------->>%b%
ECHO DEL %i%>>%b%
ECHO DEL BLOOD.rff>>%b%
ECHO DEL SOUNDS.rff>>%b%
ECHO REN BLOOD.bme BLOOD.rff>>%b%
ECHO REN SOUNDS.bme SOUNDS.rff>>%b%
ECHO CLS>>%b%
ECHO ECHO. >>%b%
ECHO ECHO  All files restored!>>%b%
ECHO ECHO. >>%b%
ECHO ECHO  Install script by BME/ILMHB 2013>>%b%
ECHO ECHO. >>%b%

ECHO  %b% created.
ECHO  ----------------------------------------------------
ECHO  Done!
ECHO.
ECHO  Run %d%.BAT to install the project and play the
ECHO  map with MIDI. ZIP both the BAT and the folder of
ECHO  the same name to pack the project.
ECHO ----------------------------------------------------
GOTO end

:arg
ECHO.
ECHO  ERROR: MAP and/or MID filename arguments missing!
ECHO.
ECHO  Usage: BMAPMIDI MYMAP MYMIDI
ECHO         (without extentions)
ECHO.

:end
ECHO  Have a nice day!
ECHO.